@charset "utf-8";
@media screen {
    .brand {
        line-height: 92%;
        background: #d9d9d9;
        background: -webkit-radial-gradient(ellipse farthest-side at center center,
                #c45cc1 15%,
                #cf42a9 100%);
        background: -moz-radial-gradient(ellipse farthest-side at center center,
                #c45cc1 15%,
                #cf42a9 100%);
        background: radial-gradient(ellipse farthest-side at center center,
                #c45cc1 15%,
                #cf42a9 100%);
        background-clip: text;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }

    /* body{background:#cf42a9;} */
    .bgcol {
        background: #ebb7dd;
    }

    .bgsel {
        background: #ebb7dd;
    }

    .topbanner {
        background: #231421;
        background: -webkit-radial-gradient(circle farthest-corner at center center,
                #231421 30%,
                #cf42a9 100%);
        background: -moz-radial-gradient(circle farthest-corner at center center,
                #231421 30%,
                #cf42a9 100%);
        background: radial-gradient(circle farthest-corner at center center,
                #231421 30%,
                #cf42a9 100%);
    }

    .foot {
        position: fixed;
        bottom: 0;
        width: 100%;

    }

    /*------------------side bar-------------------*/
    #sbar ul.lead {
        width: 100%;
        margin-bottom: 0px;
    }

    #sbar {
        width: 100%;
        transition: all 0.3s ease;
    }

    @media (max-width: 767.98px) {
        #sbar {
            max-height: 0;
            overflow: hidden;
            margin-bottom: 0 !important;
        }

        #sbar.show-sidebar {
            max-height: 1000px;
            margin-bottom: 1rem !important;
        }
    }

    #sbar ul li a {
        padding: 10px;
        font-size: 1.1em;
        display: block;
        color: #fff;
        background-color: #ca55a7;
        width: 100%;
        text-decoration: none;
    }

    #sbar ul li a i {
        margin-right: 10px;
    }

    #sbar ul li a:hover {
        background-color: #fff;
        color: #ca55a7;
    }

    #sbar ul li.active>a,
    a[aria-expanded="true"] {
        background: #fff;
        color: #ca55a7;
    }

    .sticky {
        position: fixed;
        left: 0;
        top: 11em;

        background-color: #ca55a7;
        border: 1px solid #47748b;
    }

    /*------------------side bar-------------------*/
    /*-----------------model-----------------------*/

    .mbbg {
        background: #f5e0eb;
        color: #360628;
        font-weight: 600;
    }

    .mhbg {
        background: #ca55a7;
        color: #f5e0eb;
    }

    /*-----------------model-----------------------*/
    input[type="search"]::-webkit-search-cancel-button {
        -webkit-appearance: searchfield-cancel-button;
    }

    th {
        word-wrap: break-word;
        min-width: 30px;
        max-width: 160px;
    }

    .flex-container {
        display: flex;
        flex-wrap: wrap;
        background-color: DodgerBlue;
    }

    .flex-container>div {
        background-color: #f1f1f1;
        width: 100px;
        margin: 10px;
        text-align: center;
        line-height: 75px;
        font-size: 30px;
    }

    /*-------------------------------------------------*/
    .banner {
        background: #a770ef;
        background: -webkit-linear-gradient(to right,
                #231421,
                #cf42a9,
                #231421);
        background: linear-gradient(to right, #231421, #cf42a9, #231421);
    }

    .noscreen {
        display: none !important;
    }

    @keyframes changeColor {
        0% {
            background-color: #dc3545;
            /* Initial red for 'ordered' */
        }

        50% {
            background-color: #198754
                /* Light red */
        }

        100% {
            background-color: #dc3545;
            /* Back to red */
        }
    }

    .animate {
        animation: changeColor 1.5s infinite;
    }
}

@media print {
    body * {
        visibility: hidden;
    }

    #print,
    #print * {
        visibility: visible;
    }

    #print {
        position: absolute;
        left: 0;
        top: 0;
        width: 72mm;
        display: block !important;
        font-size: 12px;
        /* Set base font size for receipt */
    }

    .modal-backdrop {
        display: none !important;
    }

    .noprint {
        display: none !important;
    }

    .ofset {
        float: right;
        right: 50px;
        position: relative;
    }

    .prinMartop {
        margin-top: 40px;
    }

    .printText {
        color: black;
        background: white;
    }

    th {
        word-wrap: break-word;
        min-width: 30px;
        max-width: 160px;
    }

    .itemtext {
        font-size: 0.9em;
        margin: 0;
        line-height: 1.1;
    }

    .tableitem {
        font-size: 0.9em;
    }
}

/* .bill {

    background: #616161;

} */
/* -------------------filter------------------------------ */
.colcontent {
    float: left;
    display: none;
}

.show {
    display: block;
}

.big-checkbox {
    width: 15px;
    height: 15px;
    padding-left: 15px;
}

.tableitem {
    color: #000;
    font-weight: bolder;
}

/* checkbox large */
.custom-control-lg .custom-control-label::before,
.custom-control-lg .custom-control-label::after {
    top: 0.1rem !important;
    left: -2rem !important;
    width: 1.25rem !important;
    height: 1.25rem !important;
}

.custom-control-lg .custom-control-label {
    margin-left: 0.5rem !important;
    font-size: 1rem !important;
}